### Hierarchy

- default

## Index

### Properties

- geojsonFormat

### Methods

- encodeTextStyle_
- encodeVectorLayer
- encodeVectorStyleFill_
- encodeVectorStyleLine_
- encodeVectorStylePolygon_
- encodeVectorStyleStroke_
- encodeVectorStyle_
- encodeVectorStyle_Point_
- newFeatureFromStyle_

## Properties

### geojsonFormat

geojsonFormat: GeoJSON

- Defined in src/print/VectorEncoder.js:42

## Methods

### encodeTextStyle_

- encodeTextStyle_(textStyle: Text, goodnessOfFit: number): MapFishPrintSymbolizer

- - Defined in src/print/VectorEncoder.js:428

  #### Parameters

  - ##### textStyle: Text

    Text style.

  - ##### goodnessOfFit: number

  #### Returns MapFishPrintSymbolizer

  The style

### encodeVectorLayer

- encodeVectorLayer(mapFishPrintLayer: MapFishPrintLayer[], layer: VectorLayer<VectorSource<Geometry>>, resolution: number, destinationPrintDpi: number, goodnessOfFit: number): void

- - Defined in src/print/VectorEncoder.js:82

  #### Parameters

  - ##### mapFishPrintLayer: MapFishPrintLayer[]

    Array.

  - ##### layer: VectorLayer<VectorSource<Geometry>>

    Layer.

  - ##### resolution: number

    Resolution.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  - ##### goodnessOfFit: number

  #### Returns void

### encodeVectorStyleFill_

- encodeVectorStyleFill_(symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon, fillStyle: Fill): void

- - Defined in src/print/VectorEncoder.js:278

  #### Parameters

  - ##### symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon

    MapFish Print symbolizer.

  - ##### fillStyle: Fill

    Fill style.

  #### Returns void

### encodeVectorStyleLine_

- encodeVectorStyleLine_(strokeStyle: Stroke): MapFishPrintSymbolizer

- - Defined in src/print/VectorEncoder.js:293

  #### Parameters

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns MapFishPrintSymbolizer

  The style

### encodeVectorStylePolygon_

- encodeVectorStylePolygon_(fillStyle: Fill, strokeStyle: Stroke): MapFishPrintSymbolizer

- - Defined in src/print/VectorEncoder.js:376

  #### Parameters

  - ##### fillStyle: Fill

    Fill style.

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns MapFishPrintSymbolizer

  The style

### encodeVectorStyleStroke_

- encodeVectorStyleStroke_(symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon | MapFishPrintSymbolizerLine, strokeStyle: Stroke): void

- - Defined in src/print/VectorEncoder.js:392

  #### Parameters

  - ##### symbolizer: MapFishPrintSymbolizerPoint | MapFishPrintSymbolizerPolygon | MapFishPrintSymbolizerLine

         MapFish Print symbolizer.

  - ##### strokeStyle: Stroke

    Stroke style.

  #### Returns void

### encodeVectorStyle_

- encodeVectorStyle_(geometryType: string, resolution: number, style: Style, destinationPrintDpi: number, goodnessOfFit: number): MapFishPrintSymbolizer[]

- - Defined in src/print/VectorEncoder.js:231

  #### Parameters

  - ##### geometryType: string

    Type of the GeoJSON geometry

  - ##### resolution: number

    Resolution.

  - ##### style: Style

    Style.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  - ##### goodnessOfFit: number

  #### Returns MapFishPrintSymbolizer[]

  The styles

### encodeVectorStyle_Point_

- encodeVectorStyle_Point_(resolution: number, imageStyle: ImageStyle, destinationPrintDpi: number): MapFishPrintSymbolizer

- - Defined in src/print/VectorEncoder.js:307

  #### Parameters

  - ##### resolution: number

    Resolution.

  - ##### imageStyle: ImageStyle

    Image style.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  #### Returns MapFishPrintSymbolizer

  The style

### newFeatureFromStyle_

- newFeatureFromStyle_(style: Style): Feature<Geometry>

- - Defined in src/print/VectorEncoder.js:208

  Transforms a style with a geometry to a new feature.

  #### Parameters

  - ##### style: Style

    Style.

  #### Returns Feature<Geometry>

  A feature from the style.

Generated using TypeDoc